using Part1.GasService;

namespace Part1.GasService
{
    public class GasPriceService : IGasPriceService
    {
        #region IGasPriceService Members

        public GasPriceData GetPriceData(string zipCode)
        {
            switch (zipCode)
            {
                case "00000":
                    return new GasPriceData { GasStation = "None", Price = 0.00m };
                case "55410":
                    return new GasPriceData {GasStation = "Holiday", Price = 1.99m};
                case "55404":
                    return new GasPriceData {GasStation = "Costco", Price = 1.79m};
                case "55412":
                    return new GasPriceData {GasStation = "Sams Club", Price = 2.79m};
                default:
                    return new GasPriceData {GasStation = "Super America", Price = 2.05m};
            }
        }

        public GasPriceData GetPriceDataForCity(string city)
        {
            switch (city.ToLower())
            {
                case "minneapolis":
                    return new GasPriceData { GasStation = "Super America", Price = 1.87m };
                case "stpaul":
                    return new GasPriceData { GasStation = "Holiday", Price = 1.99m };
                case "edina":
                    return new GasPriceData { GasStation = "Costco", Price = 1.79m };
                case "bloomington":
                case "richfield":
                case "woodbury":
                    return new GasPriceData { GasStation = "Sams Club", Price = 2.79m };
                case "shakopee":
                    return new GasPriceData { GasStation = "BP", Price = 4.39m };
                default:
                    return new GasPriceData { GasStation = "Super America", Price = 2.05m };
            }
        }

        #endregion
    }
}