﻿using System.ServiceModel;
using System.ServiceModel.Web;
using Part1.GasService;

namespace Part1.GasService
{
    [ServiceContract]
    public interface IGasPriceService
    {
        [OperationContract]
        [WebGet
            (ResponseFormat = WebMessageFormat.Xml,
            BodyStyle = WebMessageBodyStyle.Bare,
            UriTemplate = "/GetGasPrice/For/ZipCode/{zipCode}"
            )]
        GasPriceData GetPriceData(string zipCode);

        [OperationContract]
        [WebGet
            (RequestFormat = WebMessageFormat.Xml,
            ResponseFormat = WebMessageFormat.Xml,
            BodyStyle = WebMessageBodyStyle.Bare,
            UriTemplate = "/GetGasPrice/For/City/{city}"
            )]
        GasPriceData GetPriceDataForCity(string city);
    }
}